Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Class TaxLineImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.ebusiness.tax.TaxLineImpl

All Implemented Interfaces:
  Belonging, BusinessSmartComponent, Cloneable, Comparable, RelationalReference, Serializable, TaxLine

public class TaxLineImpl
extends BelongingImpl
implements TaxLine, Cloneable

Has all the information from orderline required to do taxing, may be generated from an orderline.

See Also:
  `TaxLine`, `TaxLineHome`, Serialized Form

Field Summary
`Price` | `discountedPriceAmt` Containment: By Value Multiplicity: 1:1
`Price` | `freight` Containment: By Value Multiplicity: 1:1
`Price` | `price` Containment: By Value Multiplicity: 1:1
`Quantity` | `quantity` Containment: By Value Multiplicity: 1:1
`String` | `taxCode` Containment: By Value Multiplicity: 1:1

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`TaxLineImpl()`

Method Summary
`int` | `compareTo(Object o)` Compare this belonging to another
`Price` | `getDiscountedPriceAmount()` Get the value of the discounted price
`Price` | `getFreight()` Get the value of freight
`Price` | `getPrice()` Get the value of price
`Quantity` | `getQuantity()` Get the value of quantity
`String` | `getTaxCode()` Get the value of taxCode
`String` | `interfaceName()` interfaceName() returns the unqualified name of the interface from the UML model
`void` | `setByValue(Belonging value)` It is possible to call set-by-value with a superclass.
`void` | `setDiscountedPriceAmount(Price price)` Set the value of the discounted price
`void` | `setFreight(Price freight)` Set the value of freight
`void` | `setPrice(Price price)` Set the value of price
`void` | `setQuantity(Quantity quantity)` Set the value of quantity
`void` | `setTaxCode(String taxCode)` Set the value of taxCode
`Belonging` | `value()` value() is a more typesafe implementation of clone()

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### freight

    public Price freight

  - Containment: By Value
  - Multiplicity: 1:1

### price

    public Price price

  - Containment: By Value
  - Multiplicity: 1:1

### discountedPriceAmt

    public Price discountedPriceAmt

  - Containment: By Value
  - Multiplicity: 1:1

### quantity

    public Quantity quantity

  - Containment: By Value
  - Multiplicity: 1:1

### taxCode

    public String taxCode

  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### TaxLineImpl

    public TaxLineImpl()

Method Detail

### getFreight

    public Price getFreight()

  Get the value of freight

  Specified by:
    `getFreight` in interface `TaxLine`
  Returns:
    freight.

### setFreight

    public void setFreight(Price freight)

  Set the value of freight

  Specified by:
    `setFreight` in interface `TaxLine`
  Parameters:
    `freight` - freight to be added

### getPrice

    public Price getPrice()

  Get the value of price

  Specified by:
    `getPrice` in interface `TaxLine`
  Returns:
    price.

### setPrice

    public void setPrice(Price price)

  Set the value of price

  Specified by:
    `setPrice` in interface `TaxLine`
  Parameters:
    `price` - price to be added

### getDiscountedPriceAmount

    public Price getDiscountedPriceAmount()

  Get the value of the discounted price

  Specified by:
    `getDiscountedPriceAmount` in interface `TaxLine`
  Returns:
    price.

### setDiscountedPriceAmount

    public void setDiscountedPriceAmount(Price price)

  Set the value of the discounted price

  Specified by:
    `setDiscountedPriceAmount` in interface `TaxLine`
  Parameters:
    `price` - price to be added

### getQuantity

    public Quantity getQuantity()

  Get the value of quantity

  Specified by:
    `getQuantity` in interface `TaxLine`
  Returns:
    quantity.

### setQuantity

    public void setQuantity(Quantity quantity)

  Set the value of quantity

  Specified by:
    `setQuantity` in interface `TaxLine`
  Parameters:
    `quantity` - quantity to be added

### getTaxCode

    public String getTaxCode()

  Get the value of taxCode

  Specified by:
    `getTaxCode` in interface `TaxLine`
  Returns:
    taxCode.

### setTaxCode

    public void setTaxCode(String taxCode)

  Set the value of taxCode

  Specified by:
    `setTaxCode` in interface `TaxLine`
  Parameters:
    `taxCode` - taxCode to be added

### value

    public Belonging value()

  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns:
    a clone of this instance

### interfaceName

    public String interfaceName()

  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns:
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters:
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters:
    `o` - target object for comparision
  Returns:
    0 objects are equal

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved